// GUI stylies of the project
// For example, styles of the links, buttons and so on.

a {
    text-decoration: none
    color inherit
    transition:.15s linear
    outline:none
}

.filter-b {
    margin:0 0 45px
    display:flex
    align-items:center
    flex-wrap:wrap

    +m() {
        margin:0 0 30px
        align-items:flex-start
        justify-content:space-between
    }

    .input-text {
        height:72px
        background: #FEFEFF
        border: 1px solid #B9B4BF
        padding:0 20px
        min-width:380px
        color:#666
        font-size:18px
        font-weight:bold
        font-family:'Open Sans', Arial, sans-serif

        +m() {
            width:100%
            height:45px
            border: 1px solid #B9B4BF
            font-size:12px
            min-width:auto
            font-weight:500
            color:#010101
            border-radius: 3px
            padding:0 12px
        }

        &::placeholder {
            color:#DDE5ED

            +m() {
                color:#8F939A
            }
        }
    }

    &__select {
        margin:0 40px 0 0
        position:relative

        +m() {
            width:calc(50% - 5px)
            margin:0 0 10px
        }

        &-main {
            height:72px
            user-select:none
            background: #FEFEFF
            border: 1px solid #B9B4BF
            padding:0 20px
            border-radius:6px
            display:flex
            align-items:center
            justify-content:space-between
            min-width:320px
            cursor:pointer
            color:#DDE5ED
            font-size:18px
            font-weight:bold
            font-family:'Open Sans', Arial, sans-serif
            transition:.15s linear

            +m() {
                width:100%
                height:45px
                border: 1px solid #B9B4BF
                font-size:12px
                min-width:auto
                font-weight:500
                color:#8F939A
                border-radius: 3px
                padding:0 12px
            }

            &:hover {
                color:#666
                background:#fefeff
            }

            svg {
                transition:.15s linear
                fill:#FEFEFF
                stroke:#8F939A
                height:8px
                width:auto

                +m() {
                    height:6px
                }
            }
        }

        &_show {
            box-shadow: 0px 0px 36px #EBEDFA
        }

        &_show &-main {
            border-radius:6px 6px 0 0

            svg {
                transform:rotate(180deg)
            }
        }

        &-drop {
            display:none
            padding:20px 24px
            position:absolute
            left:0
            top:100%
            border-radius:0 0 6px 6px
            border: 1px solid #B9B4BF
            border-top:0
            width:100%
            background:#fff
            z-index:3

            +m() {
                padding:10px 12px
            }
        }

        &-item {
            margin:0 0 20px

            +m() {
                margin:0 0 10px
            }

            &:last-child {
                margin:0
            }
        }
    }

    &__button {
        +m() {
            width:calc(50% - 5px)
        }

        .button {
            padding:0 62px

            +m() {
                padding:0
                width:100%
                height:45px
                font-size:14px
                font-weight:500
                border-radius:3px
            }
        }
    }

    &__results {
        color:#B6B4BF
        font-size:18px
        font-family:'Open Sans', Arial, sans-serif

        +m() {
            width:100%
            font-weight:500
            font-size:14px
        }

        a {
            display:block
            color:#0071C2
            font-weight:normal
        }
    }
}

.checkbox {
    display:none

    & + label {
        display:block
        position:relative
        cursor:pointer
        min-height:20px
        user-select:none
        padding-left:38px
        font-weight:bold
        font-size:18px
        color:#8F939A

        +m() {
            font-size:10px
            font-weight:500
            padding-left:20px
            padding-top:2px
        }

        &:hover {
            color:#666
        }

        &:before {
            width:20px
            height:20px
            content:''
            position:absolute
            left:0
            top:1px
            border: 1px solid #8F939A

            +m() {
                width:14px
                height:14px
            }
        }

        &:after {
            opacity:0
            transition:.15s linear
            content:''
            width:14px
            height:14px
            background:url('__static__content/check.svg') no-repeat
            background-size:contain
            position:absolute
            left:3px
            top:4px

            +m() {
                width:8px
                height:8px
            }
        }
    }

    &:checked + label {
        color:#010101

        &:before {
            background:#0071C2
            border-color:#0071C2
        }

        &:after {
            opacity:1
        }
    }
}

.title {
    font-weight:600
    margin:0 0 50px
    font-size:24px

    +m() {
        margin:0 0 20px
        font-size:19px
    }

    &_medium {
        margin:0 0 35px

        +m() {
            margin:0 0 15px
        }
    }

    &_margin {
        margin:0 0 20px
    }

    &_middle {
        text-align:center

        +m() {
            text-align:left
        }
    }

    span {
        color:#0071C2
    }
}

.input-text {
    background: #F3F4F8
    border:1px solid #DDE5ED
    box-sizing: border-box
    border-radius: 6px
    font: 14px / 1.3 'Montserrat', Arial, sans-serif
    width:100%
    appearance: none
    box-shadow: none
    outline: none
    cursor: pointer
    transition: .15s linear
    padding:0 22px
    height:62px
    font-weight:500
    color:#010101

    &:focus {
        border-color:#6CA7FF
    }

    &::placeholer {
        color:#B9B4BF
    }

    &_white {
        background:#fefeff
        font-size:18px
        font-weight:600

        &::placeholder {
            color:#C5D8EB
        }
    }

    +m() {
        height:45px
        font-size:16px
        padding:0 12px
        border-radius:3px
        font-weight:500
    }
}

textarea.input-text {
    resize:none
    height:160px !important
    padding:22px !important

    +m() {
        padding:12px !important
    }
}


.button {
    font: 18px / 1.3 'Open Sans', Arial, sans-serif
    box-sizing: border-box
    appearance: none
    background: #0071C2
    border-radius: 6px
    border:1px solid #0071C2
    height: 72px
    display: inline-flex
    align-items: center
    position: relative
    justify-content: center
    color: #fff
    box-shadow: none
    font-weight:700
    outline: none
    cursor: pointer
    transition: .15s linear
    padding:0 36px

    &:hover {
        border-color:#FEBB02
        background: #FEBB02
        color:#101828
    }

    &_active {
        border-color:#944cff
        background: #944cff
    }

    &_border {
        border:1px solid #6CA7FF
        background:#fefeff
        color:#6CA7FF

        &:hover {
            background:#6CA7FF
            border:1px solid #6CA7FF
            color:#fff
        }
    }

    &_medium {
        height:62px

        +m() {
            height:45px
            font-size:14px
            font-weight:500
            border-radius:3px
        }
    }

    &_radius {
        border-radius:41px
    }

    &_white {
        color:#9EBFEF
        background:#fff
        border-color:#fff

        &:hover {
            background:#fff
            border-color:#fff
        }
    }

    &_orange {
        border-color:#ff3d12
        background:#ff3d12

        &:hover {
            border-color:#da3b19
            background: #da3b19
        }

        &_active {
            border-color:#ff7759
            background: #ff7759
        }

        &-border {
            background:#fff
            color:#FF3D12

            &:hover {
                background:#fff
                color:#DA3C19
            }

            &_active {
                background:#fff
                color:#FF7759
            }
        }
    }

    &_gray {
        background:#fefeff
        border-color:#B9B4BF
        color:#8F939A

        &:hover {
            border-color:#010101
            color:#010101
            background:#fefeff
        }
    }

    &_dark {
        background:#fefeff
        border-color:#101828
        color:#101828

        &:hover {
            border-color:#101828
            color:#fff
            background:#101828
        }
    }
}


.star-rating {
    display: flex;
    align-items: center;
    width: 140px;
    flex-direction: row-reverse;
    justify-content: space-between;
    position: relative;
}
/* hide the inputs */
.star-rating input {
    display: none;
}
/* set properties of all labels */
.star-rating > label {
    width: 24px;
    height: 24px;
    font-family: Arial;
    cursor:pointer;
    color:#f3f4f8;
    font-size: 30px;
    transition: 0.2s ease;
}
/* give label a hover state */
.star-rating label:hover {
    transition: 0.2s ease;
}
.star-rating label:active::before {
    transform:scale(1.1);
}

/* set shape of unselected label */
.star-rating label::before {
    content: '\2605';
    position: absolute;
    top: 0px;
    line-height: 26px;
}
/* set full star shape for checked label and those that come after it */
.star-rating input:checked ~ label:before {
    content:'\2605';
    color:#ffd600
}
